GENHOMEDIRCON(8)

NAME
genhomedircon - generate SELinux file context configuration entries for user home directories

SYNOPSIS
genhomedircon [ -d selinuxdir ] [-n | --nopasswd] [-t selinuxtype ] [-h]

OPTIONS

-h  Print a short usage message

-d selinuxdir (--directory)
    Directory where selinux files are installed defaults to /etc/selinux

-n --nopasswd
    Indicates to the utility not to read homedirectories out of the password database.

-t selinuxtype (--type)
    Indicates the selinux type of this install. Defaults to "targeted".

DESCRIPTION

This utility is used to generate file context configuration entries for user home directories based on their prefix entry in the the semanage user record. genhomedircon is run when building the policy. It is also run automaticaly when ever the semanage utility modifies user or login records. Specifically, we replace HOME_ROOT, HOME_DIR, and ROLE macros in the /etc/selinux/<<SELINUXTYPE>>/contexts/files/homedir_template file with generic and user-specific values. HOME_ROOT and HOME_DIR is replaced with each distinct location where login users homedirectories are located. Defaults to /home. ROLE is replaced based on the prefix entry in the user record.

genhomedircon searches through all password entires for all "login" user home directories, (as opposed to system users). Login users are those whose UID is greater than or equal STARTING_UID (default 500) and whose login shell is not "/sbin/nologin", or "/bin/false".

AUTHOR
This manual page was originally written by Manoj Srivastava <srivasta@debian.org>, for the Debian GNU/Linux system, based on the comments and the code in the utility, and then updated by Dan Walsh of Red Hat. The genhomedircon utility was originally written by Dan Walsh of Red Hat with some modifications by Tresys Technology, LLC.